package jif.lang;

abstract public class AbstractPrincipal implements Principal {
    private String name;
    protected Principal[] superiors;
    
    protected AbstractPrincipal jif$lang$AbstractPrincipal$(final String name) {
        this.jif$init();
        { this.name = name; }
        return this;
    }
    
    public String name() { return name; }
    
    public boolean delegatesTo(final Principal p) {
        return superiorsContains((Principal) p);
    }
    
    public void addDelegatesTo(final Principal p) {
        if (superiorsContains((Principal) p)) { return; }
        {
            try {
                if (superiors == null) {
                    superiors = (new Principal[1]);
                    superiors[0] = (Principal) p;
                } else {
                    Principal[] old = superiors;
                    superiors = (new Principal[old.length + 1]);
                    for (int i = 0; i < old.length; i++) {
                        superiors[i] = old[i];
                    }
                    superiors[old.length] = (Principal) p;
                }
            }
            catch (final NullPointerException impossible) {  }
            catch (final ArrayStoreException impossible) {  }
            catch (final ArrayIndexOutOfBoundsException impossible) {  }
        }
    }
    
    protected boolean superiorsContains(final Principal p) {
        boolean result = false;
        Principal[] sprs = superiors;
        for (int i = 0; sprs != null && i < sprs.length; i++) {
            try {
                Principal pi = sprs[i];
                if (p == pi || pi != null && pi.equals(p)) {
                    result = true;
                    break;
                }
            }
            catch (final ArrayIndexOutOfBoundsException impossible) {  }
        }
        return result;
    }
    
    public boolean isAuthorized(final Object authPrf, final Closure closure,
                                final Label lb) {
        return false;
    }
    
    public ActsForProof findProofDownto(final Principal q,
                                        final Object searchState) {
        return null;
    }
    
    public ActsForProof findProofUpto(final Principal p,
                                      final Object searchState) {
        ActsForProof prf;
        Principal[] sprs = superiors;
        ActsForProof result = null;
        for (int i = 0; sprs != null && i < sprs.length; i++) {
            try {
                final Principal s = sprs[i];
                prf = PrincipalUtil.findActsForProof(p, s, searchState);
                if (prf != null) {
                    if (PrincipalUtil.actsFor(s, this)) {
                        result = new TransitiveProof(prf,
                                                     s,
                                                     new DelegatesProof(s,
                                                                        this));
                        break;
                    }
                }
            }
            catch (final ArrayIndexOutOfBoundsException impossible) {  }
        }
        return result;
    }
    
    public boolean equals(final Object o) {
        if (o == null) return false;
        if (o instanceof Principal) { return equals((Principal) o); }
        return false;
    }
    
    public boolean equals(final Principal p) {
        if (p == null) return false;
        return (this.name == p.name() || this.name != null &&
                  this.name.equals(p.name())) &&
          this.getClass() ==
          p.getClass();
    }
    
    final public static String jlc$CompilerVersion$jif = "3.0.0";
    final public static long jlc$SourceLastModified$jif = 1149825579000L;
    final public static String jlc$ClassType$jif =
      ("H4sIAAAAAAAAAM08e3wU1bmzs0tCSCA8AuGVZAmB8DIBBUSivxoCCY8AMbw0" +
       "IMtkdpIsTnZmd2eT\nDT6KigVtvbRVrN7W59VqfGDR+yMWbwWlV1tBrYjvq8" +
       "XSm3rro9Qrij8f3POdM48zc2aSTbC9/jFf\nTs6c853vfO/z2Hn4I25AIs4V" +
       "bI40lWkdqpQoWxppqhPiCSlcp8gdq1FVSDzygzvu/s957z/Hc/5a\nLktIai" +
       "1KPKJ1aNzQ2s1Cm1Ce1CJyeW0koVXUckMj0YQmRLWIoEnh6rjSqnETalWEql" +
       "lWtHIppZWr\nQlxoLceDlddVyUIigbpl4NpEjLuK86XiXNDooRNFKMKNCUmz" +
       "7pk5as+GvcP8XG4DlxuJrtIELSJW\nKVENDdHA5bRKrY1SPFEZDkvhBm5YVJ" +
       "LCq6R4RJAjW1BDJdrADU9EmqOCloxLiXopocht0HB4IqlK\ncTymUVnL5YgK" +
       "mlM8KWpKnFCI6G2KSHLY+G9Akyw0JzRulDVTMr9qqEfTGxRBhMWbBFEyugQu" +
       "i0TD\nGlfk7GHOsWQZaoC6ZrZKiN/mUIGogCq44YTzshBtLl+lxSPRZtR0gJ" +
       "JEo2jcWE+kqNFAVRAvE5ql\nkMaNdrarI69QqyzMCOiicSOdzTAmJKWxDilR" +
       "8lmZkfP1DXWfB3lMc1gSZaA/E3UqdHSql5qkuBQV\nJdLxVLLs5iWXJMfzHI" +
       "caj3Q0Jm0qJ3WtqX1/fxFpM86lzcrGzZKohcSv5o4vOFL55yw/kDFQVRIR\n" +
       "EL5t5lh56/Q3FSkVWcMoEyO8LDNeHqh/9pKtD0of8FzGEi5DVORka3QJlyVF" +
       "w1V6OROVayNRaQkX\nkNEfNPOmiCzBzDNQWRW0FlxOqRzHDUVPKXoy4UFMrm" +
       "xEOiaIWh0SphhRBbkM2aTGTZYjjWcl4mI5\n+o+I27VhChDntvt8iPzxTuOR" +
       "kd4tVuSwFA+J9x9//opFy67fwZvKpJOE1AacAAxRxgzB+XwYdb6d\nM8DqMB" +
       "j+h49VDP2XsxJ7kYdo4LIira1JTWiUEQNyBFlW2qVwSMOqNIxSW8P0cxqR1i" +
       "EFDskIEXEA\nKtcW54qd2mVZ4RLsY0Tp8rkruF2Fi/4VFAEElwfYCWlIDJcR" +
       "2nKmrrp06aYdxX5o1B5A7IaZFNs8\nngvukNjx9Mj5+w588STPDWhAfi2xUG" +
       "oSkrJWV7VASUaRs8gzq+ol5EeitUKjJNdy2cRdCMjkDaPN\nVEXcR+Pya0GO" +
       "xIxkaF+OeyE2ZMctJNCtCKl2Se8sCIl1I0auuO+zcQ8Ra3ByrS6uiFIYeTmr" +
       "Q2jm\nORNW3HX2F2heyNARtRqiFfxGodPQbbZZoRuyxhUzfsM5SIXhE2EmAT" +
       "S5JiXeKsiAxuDJIK0lrrRb\nNViDB+MymMYQ9JyNnmx4oHI4gBFEzwGUgLwd" +
       "k8Xu9n+XbF/cfWjKpTztmXOpSLVK0oidD7PUZXVc\nklD9O7fW3bTro+3rsa" +
       "7oyqJxWWpc0ZA/kcIpTF++D6nnCBe3UzY67+Zbpv7idUMfR1gDVMbjQgeo\n" +
       "Y+rqIwW3PSfcjlwSchOJyBYJuwOfqZn5lmZiZZDCxOu9nH3OjuCcpjye45HY" +
       "sPKgsIgtpgg5N+hh\n/J+F2ZRjMjOInhkuzESjjbVGwygRoc142JB4/SVjH7" +
       "vrmZEf8SBBXoxoXAETWJQwLXPLnyD5JlUU\nQbDa6yTybQjFeCeKtYKpyxBT" +
       "8p306MSMWJHz1ZfjXlmIZ58dlhJiPKKCV9aHy9CUpYjZEFGxhcWF\naEJGOQ" +
       "ixr9X45aKUGq9w6BmwZpYLazSuHghtVeJqS0QMYlqCSlOQKHJQiDcnW6WoFo" +
       "QZQz2VIwSn\nNMKspXBQaFTapGBjR/ByrSWSuHIq4vckPD+DurIqIRpVNAeN" +
       "IfGvKz8+sEWVfkdsusjeh2k9YXfB\niZKHN07CaodtQyOiQOONc/JzNaLEEP" +
       "D377t6zvZtX2Oe8qIGcdFyT+AW6byhKSnLK8x4AfBcAMMQ\nq0pM9mgtUjCh" +
       "SiLKtIJtAkq4UBQIFsPsizHLz8f222OsgQhmc861iijIlvvKu3LBufe/I+0h" +
       "9i3T\n/tKZWzh6PntL8+w7H310AOGqM0xSihgS573WNizjV3e28lwm8v1YuC" +
       "ipXSvISXATDSihS1TplbXc\nYNt7e3JGMpEKKgma6/CNtNEEgBTLggcDmJ/y" +
       "cViqS3GPyRhONZ3TgKZIVJBx8+/hV7MAnIMrzsMV\neShRx44I85tki/gtgJ" +
       "WGSwNYhsvlCDGH0XMpFPUtj2dJpTKRQAEDWd/5+Tv+9FLBi6uJx3P2dtO/\n" +
       "OiES1/XvQN61u67/KrcG698gxMQmtOaIiB3gJZxhssp8C7ES0ulmo3EB03iJ" +
       "9brC0tRJ2CdPtBuT\nSQ5tUHO2vv/p46/uLYVZQc8LUL9C50TqJQFlVGQU1K" +
       "XkeOffrxv4SzyXAUo7DqhFFGWqod/lpqbD\nuieOscAgG5FOjma4paOvuCsp" +
       "KAVfiAZFg8mE7ImMOUTZakU1RwmJi9975o/X/Wz0IdqbODpQrWeN\nHD06+I" +
       "k0CNuX6VYnOtyq2YFxrSZlk+2cpmmimf3G1WPfnT5jp+7rnOJx6/FvD31+75" +
       "bSXzZbSifo\ng8IfyU1Y69CC1RLWtmk73v70388ZTwkLSwDNtx03JPIAGDKn" +
       "M8mNbwsUTVNaKe6d/buZ+ZUPLN9j\nCKrR7D/VPjNHT3p+s3Lueeq/H+y8y8" +
       "DRhOclU3OMYrhO1ae/HsNLVfJSVulG9v826/8JqsEs23+6\nM4D02+keq2HB" +
       "azjI1sbLTx68Y1DQksB4bPI847xt3UIi/8Cx7VNH576JON/ADWkREkuiaG0F" +
       "y3Ip\n3ps3d6Da8tSaO069oL2L9dRKY6F3MWbbYjPID0dPCXoGwkMFed2xbm" +
       "MdKw/l5RrK3OMRpP5Syoio\n2MPaEBe6IMYNLiThEWBVusEPu2TcjAP4I9zv" +
       "GltWfAF6suBhJ7ITwBRNX71HlHjCQS/0n+7Sn6iT\n2azYo5lN2wDsSlmquc" +
       "umdUzNZhP7RPRMcyPCcBkOG1vYgTgfESkjO3nvzPqDO/d8nyxiYV3tFjIq\n" +
       "RVFKJOrQW+KZGm0UlLpTMM1upc6xaTN96+CwmTWFzTdYZurieCwiIPH6+YSP" +
       "No3+6aK3MOEo44Ju\neFPEu1u9omjXnV249Q15YRtxkWzKbjYuHD3ivVGVWY" +
       "/wtv0OGGUIyQzvxrpFjN5kx1QvgRju1LnR\ngxczZFWy4eN84TfKjUPxIiHQ" +
       "KCRI+uLcIWM3wGz7Wph/2TY1LfYiyK7Nwd61Od+jGaPNeyht3sNo\n8x53bR" +
       "6NniIvIu6wNRvv1eweDO8F8KSbgAp7GkMykrzhplsx1VVVsdRzcXZ3c8rFz2" +
       "ncQEF3QhqX\noSYbUYQ0ogDAMsq7YyxPg5UUeO384V3L7Rf/PecHwm8vJeo6" +
       "3L5ntCiabP1Lx0Gp9Pwb33PZhMrS\nFPUsWWqTZCsUOUdbjjXHiAR3ZwwPB2" +
       "rnjXbGoixmX9veLyQeejP3xKLZh7q/vQ0eHLrc93KKepxE\nSNS6Qp+8PvfN" +
       "KTgnsS2kCbLVtpXBBFM3snXFyoWH0g0sdwCvuCwboPxsz5l/jy/do2G2bmxO" +
       "Us4s\nGppLEIBr3OlcB+Aoa9FHU1Z6eNSW8TA1m6kamSpH2RoA5CTgZdvcz0" +
       "LPCHjcxPA3AK+6ctXY+8Hc\n1FOx2SbmMvSc54JZ49aktUOhQiVxtsGwJEvN" +
       "KK4lVituuxTT5gevnEqEQ6YH4ET/5wDgJO7+GYDP\n+4uUzUbXRC+LorydxK" +
       "CzX3vh8CsLU7uNQJyjpnpT32yKE+itz8dxPWuZS4zWadAXs8f3zH4xeuuO\n" +
       "XxtEnEumqVrs9GXaqjTOp1rKe5JV3pOU8p5klPcko7wnKeU9ySivraaa1JC0" +
       "0TcG/ltm0uMpPgCn\noMNYAINx1wSbpyPzbUV5R5t+ovOTwnu7Hz9en8dTx1" +
       "4T2R1kqg85+jJEiUaY0NMIuPVvp094+Kr6\ndxsN7j+Pd20tN+IbD6CoZ7WA" +
       "JgEXnzbBxfrctjaWKhFDG6Zdsa3lce5QA570IFFpVZWopMeLUqIf\ntkWE2x" +
       "AuuxXmCHQeeujVnS9+dGrftfRuxSRr57lKkWVJhDwwUbIm2qqEI014W26VpG" +
       "0t+OnLO3++\ndQ0J1DN672PVj1nAbT208fNCPEGfCGef1g671YxstOc7z2UW" +
       "C4kWNP4b8usNu96ZVkjGp7bj9ff7\nFl6365YnumaTo5scxJ+h37sQRMX5+x" +
       "1TvFX7a7AASrMN2/RNZWwTVZmWZZSjHjXGktvKBcfqKR2j\nU/DHygV9lXg2" +
       "xORtK3RfAfnXF0Qr1EZFkSUhmnaYPMF6mhOUpznBeJoTjKc5QXmaE4ynOUGH" +
       "SY3j\n1VKLqX2zQihOJjMtpQThm4bhDAxn2vUCqs7pwX250DMPD1n9HWWgS5" +
       "5RqOdZ+ZTuYFWBeUA4SydG\nmxgha1nogtGRhkCzapdmGhfucxoihMMLe85E" +
       "4MRgfrAiCH8nuGQlPrXvM4a2mhXafG1Y7u0AUv1E\nDK18veUaQ+zTjaWTbs" +
       "T0dMGnMhmEVWVlEKaU5noI022f0HJI56KnwksFKIf04xjrkDx8HOxSVaaB\n" +
       "8mdeKKuJiPQU5RdQRaUoPckSQAeA2wH80OjuKwJwZyw9D3St088G2pRImHP3" +
       "EVSeauUEVQIKgvEq\nc60YEttHXf/hu/PL7yRJgWqLSM7z7xXoWe/FP3wcU9" +
       "DjPv5t63+iRmdWRuwHM7Q9WLJai56GNGT1\nKJZVyrm/Au5oRp91DvYzJqYx" +
       "aFf6OjeJI3tZvaF8ygUlACtYUUqThqoAuKcX1YA29wPopBD6HnZz\nKLtTGO" +
       "1jMRf3P0S3cTiynkVNMWb4rENQmtIH95+pJyQj4dG4wY77R4WJSLP9/pH93p" +
       "EjSoAnWeBC\nn8at73OUMDexq8jefiLdJavvcN/5AW3/QDmUo1gGrwJ4rZ+I" +
       "Y+kEh2HMLGN9ig+H2fhw2HWF6WO3\nR3zU9oiP2R7xMdsjPmp7xMdsj9hrqk" +
       "mN7r5Pxlj37cVtAK8DgKzN9z9m96ehdAqXerfJ9xxaDnZT\n4qKXmGulZrOR" +
       "Hs16TTsxhjNajjA8+C9jOUJYYAnyG1aQ31CC+YYRjK2GdZsFHFl/uvGGcpv8" +
       "0Bjr\nNntMna2wSB1ZVCa1FjooRp9s7fA/O6YsnaC4VA9UrpR6eFTHZNeg55" +
       "I0JluAJ2vEOtqsKLYfpuzn\nMGM/hxn7OUyJ6TAjJqMmZgtFlAGkrfZQ/Ipa" +
       "N32T1rqJ53swSJYePjMt4UNLCMb8mN4CHz/+/4/d\njjALq6zFegZbSWlJTP" +
       "f+fA2U3JcGfjwhv0uYHaE7oiEaN4jcCyIxdrwZYx3Xhtwi7EXoCbmQpnEb\n" +
       "0oqwcH2/Lt5ExdlIopJc6d+CImuaIZZf3BdeALt9FugtJubQFMX6Eg4RWc5w" +
       "aFXBUReZfKmpZnwd\no2aoylQqoyx51GymamSqHPWoqSY1JCryeLGPomKmTp" +
       "ZpvHytFRtRc4AXAagHsApAK4BNGAluab/j\nRbQH3sJqk1dddBHOI8EB5Ghc" +
       "dpWsJJJxyamMRsJHvXYqY6XukCHlW9APZRQJ6v4pI2YGEqqOhBJq\nOyvUdk" +
       "qo7YxQ2xmhtlNCbWeE2s4Itd0Q6nZDqDpZzCnkqiTKAaifSuSdHztvTWTlRW" +
       "QTdKq51S2l\ntDL8qxi9q7PfLVM/aJs+85rbyYGhcfKeWcsNSEBLjQt6/+4G" +
       "4yI77IOA6ATWsR9ZqmTkK1XmJPLY\nSYTEJ9/55KaP1265AgfvXDwu3p5eRS" +
       "iYbL9OqncqWWVvV2H7wY/rtEPipGND//bZ9/80Hf+Sw5gh\nfat7uaAyt7ph" +
       "GxnVD8h86+mDoza97Of4am6QrAjhagHfoeeytBY0uRZFDqdUPRLmtMNlHlBu" +
       "uMw0\nxpp1HRBlndc+l9k8cP69cz/14+vYtutHleY5RyHFAFt/6ojDuqY0Rs" +
       "8+sV2CQLAJJ1Mc0axbcUPb\nQa7fuP9pnt2jQgL/FgrZoK8Oe8ECvKXlmwA4" +
       "biSn/s4UcAl6lrvYsTMrugc7fRzTbzE7T+bI7qAH\n2fe5kA31sLzmYYuGvw" +
       "NorTVoxX+DmnUZTCfa/RBOv6CjH7ucODp/w8SJY+ZZF4Ng1DsdBy4r9TDK\n" +
       "eq05YYJO91hxSUXqgRwVckHI+cDlZsztoIBv3ARhgKDcyN51pKmij2p8Y3bN" +
       "X3bhwEfoo5oi7+s8\n+P7y2KYbM2e+/UQx+W1NVGqT4iuSslzL8XLE5Tcbtj" +
       "vPtjv5eMT7gKGPknBabfPjoANV8FAc0X3a\nXt2n8TK5Q0WfEPJdiG/r0vL2" +
       "cuMZOHoAT1guvot18V2Ui+9iXHwX4+K7KBffxbj4Lis95PdSdsQ/\nBGAfJi" +
       "cFKlni5hidPq4663TFK9nvLNcv1bZEEiUz8ZmZi3+swFe1+JssFrfjgTHoMJ" +
       "mxA8DlOORg\ng7zecuQvYqvBtTu9jt+QX5x9YMWGofKBLxFRDVw20emV8bAU" +
       "x0huZh0i9kIA7jYNm38EK1T/bQe6\n78HwcaKamOEa55cbS1MkteOfB/CSm+" +
       "oBhCtT/H/ESDYA3aD4G0Nv+d/3umziL3YkSJD+V7jk2GRF\nZTYb7tGst8VW" +
       "Rg/JHZWkxuwpnrsmUPmPXR/S5BCRoTkluAY4w3V18e2I9wNavHjUfm+aYDdw" +
       "jHUD\nxyizPsaYta2G3QuZjZ55HpKnA+FXMc5jL6T3fWA+3xwOopDg4nctFL" +
       "1uaGxAzyYvFBbFfnw9md28\nh1VunZcOU2z151hsNcpRjxqWrUZ+0Qtb/SNd" +
       "2ArAbX0+X8e7hMKHuwMiuKHisSbl9Zvq2ORj1Eak\niR1sutoFu8Zdklaci1" +
       "FhDhlFuC6uKE0LlfaolvatK/+4M5sL9AsCCj+kff7ifiKOpb1mz3VMNNaX\n" +
       "ZTsiyrlst6pQbhgzDR5NitHMoBX3jbLkUbOZqpGpctSjpprUkDTIjzV3mUlP" +
       "jwwHMBEAJJj+OWZ3\n2MX2L8QlE4m53LdZZYOrBoppaWBCEuJiC3wUQeq3Lg" +
       "KhUzQum8JliaGGFUMNJYYaRgw1jBhqKDHU\nMGKoYcRQY4hhnS4GhjLn1gnq" +
       "AnAxgCWmQC4GsMxAxGOUDbjUa6LgP8slUZjmIidHopDv0eyfcKzA\nKOUU0F" +
       "9LJy2RbmJFuokS0SZGRGZNnJvgdhWO+hVeSHz1yG0fHm/u0vTfXrq1N5oWlr" +
       "YMmX/R8gTO\nlYdsRm+qXO7PhSwSXHnHe4Qi49zZTWR0KGqPsaHIAyUsgEt7" +
       "RImTH/9VHGa56UCszIH8zdO4kZZI\nRS1RrcSxvaZ7Ncl0mpQMx1FmOY4xy3" +
       "GMWY6jZD6OkblRAwDOKGKllirF3J2aqyFqXA5lvaUOk0zb\nEKG40TroMHS4" +
       "l4MOf7gHn+2YlIt9wD+XQdGv9qaD8D5p1xqsCN6qoQ9+Db4D4N/2HZU8LtrT" +
       "Mcia\nYWNlJWUA2ISg86+h1N90DJLGWhfs6W47qG4hcI3ah2Rs35nNBPrtx/" +
       "I8AODpfiKOpZ2MDbZNM9an\nVGwfm4rtc71QgKbEqNx+SuX2Myq3n1G5/ZTK" +
       "7WdUzlZTTWr0HOAYVHlfKLCxG8AzAN4DcNTsjl8c\nj7l7LVP7VujrK1b7hG" +
       "8jFUtDD4HM57wSsW5WCN2UELoZIXQzQuimhNDNCKGbEUK3IYTPdCH0noh1\n" +
       "Y3H8BcD7pjjgQq7/rwYikoh9EUvP/x8m49g80DQXKZHQYDbL92j2z0jEnCr5" +
       "nH6/Q9dIS6SnWZGe\npkR0mhERXUNi0un+50VuHKTyokAenjPRpzTzIm+UOP" +
       "gFxuHgd8y0Ziovghfb+rSl0gIq4jVoelsq\nCdC1NFgxBbOC2VKBSHihl5JR" +
       "Ug3MsKRqlKMeNSxz4SdhF6RB5BwXeQEwb5jQHjFN63XJ3ig7Ttt6\nofg1lb" +
       "2dTit7C/h7cPOOSbkYFWAYlJ6lQNPhdvZjdfVWYDJ4oKgPigvtS3rUTmhRij" +
       "EGpmPJ4Qb2\n7AuODmV4KE3Agodea6GU3gV5Nv7B3dBiF+waV5dW/FOoqCfF" +
       "ksgjppt2Bdad2RSg3wbMNmxtG/uJ\nOJZOxpVBphbrS6qFyHCmWlYVcoaKqb" +
       "1oGozz2GBFeaMsedRspmpkqhz1qKkmNSTKB66EqmUmPT2y\nGAAszANXAYgZ" +
       "3XFsD2yNpeUdAhEyjtrDGGEgxzZE+r/fMXlMMXMdxcx1DDPXMcxcRzFzHcNM" +
       "oyam\nu1ml1MGNb4UHIRbzd5YJHh5Lgyfm4rEeiKVt7ux6ETzWJBfs6Xostf" +
       "8eq/PMpgD9dmMxw08tAr/q\nJ+LYP8xjdbIeq9N1cYimwejXbkq/djP6tZvR" +
       "r92Ufu1m9Gs347F2Gx7rpRjX0+LQxmIAewD8AcBB\nszukE4EjuNS7tT7JWq" +
       "tzjL16tm8N0Qdj7WSZ2Ukxs5NhZifDzE6KmZ0MMzsdHoukMRQ3vhUe7GEx\n" +
       "f2eZAD/NYBZzcL1sNPNpavI5ZbH4yKYpB9VhvydfwjG+9jdQ/3Ii/ZE/qpyh" +
       "xqWmCDbugeSyO75k\nEvhK4wYai0qNC8AfIC7wJXl9WuP86DUqDiA3dIyQAo" +
       "kolUFSny/It11TWZ4kn94OiR+qG2verv/j\ng/rn1zzv4Vk9Ln5kfTD1w9U/" +
       "Jl9PE2VhyxYYL7OWyySuFA8Pn/Ge4InNwBU59lrTDdf+Odf2XTuy\nxM7VZ9" +
       "RGf2GAwQPltYMr3li2b98Dzi/AGB8xART5Hhf5Zk85mXnqhU8udP+A4f8BZW" +
       "ISlR9dAAA=");
    
    public AbstractPrincipal() { super(); }
    
    private void jif$init() { superiors = null; }
    
    final public static String jlc$CompilerVersion$jl = "2.0.0";
    final public static long jlc$SourceLastModified$jl = 1149825579000L;
    final public static String jlc$ClassType$jl =
      ("H4sIAAAAAAAAAK17aaw06VXenfF47GkP2DPG2AHbjM0AY3U81VXV1VWNAaW6" +
       "a9+71q4CZ6h96dqX\n7uoyoESRgASREAWyhywiihSIlE3wI8qigBJlIVL8Iy" +
       "g/QhKBSKSESCRKIFISUn3vfN/MfPONzQ+u\ndOrWrXc55z3nOcsrnfszv373" +
       "/q69e6Wu8mucV/3r/bUOu9cVt+3CYJ+7XafPH97wwb+y+vq/9T0/\n+9L77j" +
       "7s3H04LbXe7VN/X5V9OPbO3YtFWHhh2+FBEAbO3UtlGAZa2KZunk7zxKp07l" +
       "7u0rh0+6EN\nOzXsqvx8m/hyN9Rhe8/z0Ufh7kW/Kru+Hfy+arv+7iNC5p5d" +
       "YOjTHBDSrv+CcPd8lIZ50DV3P3D3\njHD3/ih343ni1wuPTgHc7whQt+/z9E" +
       "U6i9lGrh8+WvLcKS2D/u6bnlzx+MSv8vOEeekHirBPqses\nnivd+cPdyw8i" +
       "5W4ZA1rfpmU8T31/Ncxc+rtveM9N50kfrF3/5MbhG/3dJ56cpzwMzbNeuFfL" +
       "bUl/\n97Enp93vNLZ33/CEzd5mLfn5F//vH1F+85Vn72UOQj+/yf/+edGnn1" +
       "ikhlHYhqUfPiz8reH1H2ft\n4ZPP3t3Nkz/2xOSHOfi3/Jwh/Od/+E0Pc77x" +
       "KXNkLwv9/g3//2w++akv47/6wvtuYnywrrr0BoV3\nnPzeqsqbI18Y6xmLX/" +
       "94x9vg648G/5H6T+w/8NfD//Ls3fPs3fN+lQ9Fyd69EJbB/s33D8zvQlqG\n" +
       "7N1z+fxrPnmU5uHt5M/N77XbJ/fvY313d/eRmb5tpg/caFYy7s2Ic/1emY3p" +
       "p7Wbv56lUX/3rXnq\nfb5rfWD+68HcT5043jb+msszz8zif/JJV8pn3DFVHo" +
       "TtG/5f+5V//n0k/4d/+NnHYHpTpBk28z6v\n31i8/i4Wd888c7/1x9+pmZuq" +
       "g5tH/Ne//YWP/NHPdz/77N37nLsX0qIYetfLZwW86OZ5dQmDN/p7\nKL30Nt" +
       "jeo2WG2ovejLoZwG/k80b3KJ/1c27vPvskut7ySXZ+c2fIfGkj3f3Ep8k/ew" +
       "PCzXBfd9v9\nQbTZDKcH2V78nPZF7nt/+LPvu026PDer+3aSV7/67m/4ykc/" +
       "Jv3V//WNP/0AtCcFUtrKD4M5nLy1\n4I0V/BnpL0H/+9m7988+NEeR3p1xML" +
       "vkp5/0oXfA/gtv+kh/99l3ueSTTL7wKNzcVPWscPehqGoL\nN79t8yhGLPqk" +
       "rS5vfbkHx4fu37/2tx9+/t+b9NtzKNlXRT3DtH2FDmdZ3T4M6gc43R6v3NT6" +
       "xMHv\no9r/YH+I+bV/8doXn317APzw2yKlFvYP7vTSW1bR2zCcv/+7P638iZ" +
       "/49R/67nuTvGmT/u75evDy\n1B/vBf3YMzMEPvoU1379E1/343/yc3/+lx7Z" +
       "/KNv7Y63rXu9mXz8g1/+1J/5p+5fmN1+dsUuncJ7\nl7u753T3iMHtubx//7" +
       "1vG3xz9IbAJx2JusX8R3YovC/9z5//ycUrD3Lc1nzD/Q63ZPZkjHvHwjf8\n" +
       "6R8YP/lbv9j/8r3q3kLJbY9Pj+9ma7pvgyT2b84vPf83/2Lx7N0HnLuP3Ocp" +
       "t+xNNx9uinXmTNPt\n3/wo3H3NO8bfmTUeQuRbyPvkk8h7G9snMfdW3Jjfb7" +
       "Nv7x94O8xmRbw806szffBGt48fuT1eGp+5\nq28v2P3Eb75/futjDHygbtOz" +
       "e0vpD0zuh1+eU/C9le+D00O6uwfo/ej6MccbfedML9zo3Rx/31M5\nvlC3VT" +
       "9rIgxmng9pL52zfvfu9HYPr4cM9D3/7ePu369+9CPP3mvAc7sHDTxZF7w77b" +
       "8jm98r7IV3\niL98iviPdPDy4/j8OC7Xdf02RdwenxmfmQ/1fvj11eur29/8" +
       "uw/9vnk8Skv3PiW/Nvtdd19Kzcf/\neJb7rz4KB+ZcTc1Z79WZ623idz2F0a" +
       "ykr33LMEI1VyE/8qs/9i//2Df/+xna3N37zzfYzYh+m/Wk\n4Vam/eDP/MSn" +
       "PvTj/+FH7p1nNsOHfvY3fvO3bruqt4d4y0WzJFo1tH4ouF0vVkE6aza4CfMU" +
       "/5r1\nUcwp+vxmDfHHP/1Tv/Z3fkX9umffVmh987sD69vWPBRb9/ZY1OPM4T" +
       "NficP97F9YfuZnfkD9Ze8h\nN7z8zsRIlkPxn64/H37bd/zof3xKpn0ur96B" +
       "4MeG+yzLrDsWf/QjrrAQvhigV0zdqt9rexzDB9p0\n8GKHEexuZ2jpeaz2ex" +
       "vDRe+yYsX+FNRsp5dOEUChviD0DZ/GZn/2VLOVUAvZmk1EE+ryKlrexcpN\n" +
       "sN+1dnZusKNWwG1bbQ9tmmERrMiBuMYmH3I13dtvgYyKFnq38TEEPkcyMEFM" +
       "uWYhBGe7temx61Vu\nnYKmPlTWHM6bREn3Wu7XWBw0IGVqxHSNp/MAdFsEnQ" +
       "DGBxB3IZx61k1BXuE50JWmA9SB+wLch+Ce\nu4bW6lSZR8M/idnKPhSqYLEV" +
       "WSabNtOaktTd3CKbPLd6hq1rx2oXh3ysBD8k8iAwrwabxl6dr6Wa\nzISBxz" +
       "bH9CgRVaVKFC/y0t4oJrQ+IW63pM++gh3pNZGPA9f2LClonLXgTVIiAgZHPJ" +
       "VvbVBTKNIh\nTudkVyC2yQn7ZqOuVQ7PLHBHcEGLE8aWLBp5n1ejkB6ruvKT" +
       "fsXs1myT8wtfvxaGWQqIHfNFLmK8\nVfMltWc3NMRrjGAv6S1+ul5W3KQOOW" +
       "HqYrttGjLS6VHdJbONdhR5HeLDkK50YkHn0QmlGbmzDo5b\n7TdO6/CpBBQG" +
       "S1fxvlmvbX3qkl0v5Mt81BTV6dVVzHFkBWW+RS5PjUThpoqfSaTJFyfRlYJ2" +
       "DvGb\n7aG5TuJeTlNfk4NJxwuOt0YizVUsL5xTpIDE0Yp2cC76YKw5Lg6QsN" +
       "EEjNbkSHMadgdzwQXCaApC\nh6TWkROjiWF9N4MPK65YNRxs9c0RBKKRqkVs" +
       "k09+S08OXyW+dkaq9VmmBAS5XoATQR1MlVUXpID0\nSJ4gG+AAU9rJtHyxIq" +
       "8yJhBSyDQJsK35nlhVEUZNNJkihCmrJxc+cPnVpC6guZFV2XSvkuoeTsfF\n" +
       "SSIjSZGLdD/tJkI6WKq1ovJRbtSJIQxT4Y/VdW1QYluMpJy6rJWstDpJ1J13" +
       "EiFXp3XHzjLLz9cF\niyyW1ZKFUDPZJ0TZn3ssVaZRH2b2wbo3B+1C4UtuO2" +
       "4BoKqp6waNLs6ZrzmZBHHXx/FRHeNptzxe\n7MDbBAsRIxpxly2T9dYkFOjY" +
       "jRx6soNqLbBp64KcbqUGeZCuOyq3oMa8aKLcSOyoWZiy8sdGBVOS\nIroTSx" +
       "5JfMH3voWsmwAqTGetCp290musPbUDBVEpsDYpnCTzS2TvrZwlOF+FSr5o23" +
       "q1ce1gPCIV\nuENwlHUdSuqwRRmfh5OUjVsxQ5YXBMM0XSGsBI9SaDToSju1" +
       "nGWiJq4Zrtph8dQsqxwhw7Q3+IyT\ngivkq8FezE6Eq0gLkzz66lK5uitaHt" +
       "nx5FJLObySkCP6PSft+z2fQ1qIdXs2B9mVOwzycvIPmOrC\nu2urbYaUYu1Q" +
       "L9oDlBULWZUsmDlCFJSEVwlXe7VJqWikq0A5eJ7jVOpwHRNjijoR0dhjQkJk" +
       "gesa\nwqXHkO9SfBwIjuVXeduq3kIyU2K3FK+FaB+23FUqi3FdMew6np1uut" +
       "BGLFyCE3YctuXy6FGAH1kZ\nX+tTXxzlWhNMflWlAYEqhnM0/cUpJ7YyGlmw" +
       "p7fVEm47F62uDTdaVu2vHBw4+WytU8slsSnL/S6E\njcneoEvHq89oGhhipI" +
       "IxYYpedojDamEv24a9WLCiRX6WXzQ/kbnrzuaGixw1TonMbpk6DrEf5Vk4\n" +
       "BpazYe/X2TVcI4zdKXzcsXFfxzEiLZNkAXBLCnLUTMxktkxOw0RqWeaZ9OUa" +
       "q5UPriFutwY0M2PQ\nc1s4ZIRpu92xGqsjTuoWd7gIR0UorwTC5YaxOHiEu5" +
       "lrIO+QUeE+5Hubr6/jTsdqeLURNdHimAl0\nouyYF6yDYEGecKnC83tz6zLX" +
       "7d6o7cwhKXpMfItauCRHy4d0bLfHNeLyBt1sL5tdcXFqW3AnbWDi\npDdDrt" +
       "FWB9HOmzmnyAee4Q4p4ZfWxqqo6uAcJshkL1q5kES+q4+7g0vpbk3vMhW44c" +
       "ead2Gb9dk/\nKcSSGFq2YdXalPBQYiP6zE/YsiMtMzoF3dBlYQKdtvYx2i1S" +
       "h2ekFbp3q6A/XOX0IMuSD3CT5Aok\nqRAwivab6ez0R0gOsYal/YC66kvc2n" +
       "jXhNdKgcfGNR7tfFwUD4tmVYvbIu6NbJ9oqcD3LNfjp2Zt\n7A4s1Snz7YQR" +
       "JiyCIEju4kNS+NgGTNOMzc9nfoCF3RCFALtcJdsU1hdAzzvWlGyUubzHlheU" +
       "gcEV\nLtONuBq1NIk1BIUtKZ0yEw4hLL8U2Bm0h31aH7Uzqx1xnZhnaaBe59" +
       "7RX9hSj4YwR4s1yfNx4W6A\nvdRLJBnvdCGOfaLggKtvpo0G08pVTWTJgfWY" +
       "d1iT243YEkhMVMRLVmynTjQXoZao43rNYkh/SoG4\njzmL1i6SnXTnfE/QzO" +
       "oo1pRi9BkUcLXOqwecJKwAQJb6ebmlhF26GbgRVqCgl4GFnJIaCBzPB2kD\n" +
       "DhsU4Fuf3myxeBQPRS+7bLqDY84Zk66rsT1KaqshLyqY3K3glNt67X7Vqxy0" +
       "D5R+N+gL7YD0BiND\n5zNQrzfAINimc/AxwRC2e2SlN9yByk36YID88RTKUd" +
       "SO57U2XY+4UaFEk1AUbTVVAOR14xGLIQ3l\nzsdjGqHkrHDXtSufh31X87gZ" +
       "pbhDxVhBomwhyobuuCcDVC8Fl263KFIBR8CaVmzQeDJRH1orlBYM\nsdos2d" +
       "NqLw3HjWmXcn9tIJsaW83JT0vIr4siLSKYBi0lKnUkq5doW8rcuAGoMwGDSx" +
       "TxtOPkeFoa\nVYsYY6OrAdqb7X4PzjVTX5xQ+IyuYAxz9MtJ0C6E1I8rmFNY" +
       "nCb4UsQKybt0hm5KLh9uAsAbnKVj\nKIK0zRZ7vlVRAjCVTGJ0uF52sDCEYQ" +
       "Mwyyt2xYgZDH5uwLJot4kMuiHAdJJgRpxmDjm9PWPQBsC4\npiM7CF5uFuKa" +
       "WEHLU9hAzM6dMhbsPEEfN5gNEodTt1t7Cout0bGH59oNwPYjakoMgm44WQJw" +
       "wjqp\n5GlIXXpFXWG2XsB1BwcbwsV6zZVXm20lQMI2UHl7Q8FzxeTZmcISq0" +
       "DZHyv6chKpMIBGrxAD/gLk\niNrys9BqrSDatUqrBSQqLrkLN6xoS0KqJ6S1" +
       "M4eOVAZI9zNcWbPb6UznvRXh1KYbdgmHsvplp0pH\nFGRyJtsfNGBVLlGt3K" +
       "T6AnInu0JyCboQnZYXzeAPRWBMkpMoqKqoon9V9v7uJNPg2Y71OCK1UybD\n" +
       "5XlSGkIGAqy8jqltwj2Vsc1CNSmek9uDteQdulgZuVDroggOtb8ZXV3abpb7" +
       "S6Fb1KQHtjO0abi/\npKzCbJa2pkjVrHWXh0WZrNZrbliElEIO4LCtiuxYmt" +
       "B6ewARW+3HkzXxXmYPDAGnZ5M2LRu49OeV\nTNMGez1M57GtqUxCTiN4OMdq" +
       "NoBCqS7i0Z8cyrquQwlb6xGfGcrIpsyB36vschB81hLhCz2hVp0A\nkG6DQm" +
       "SnVx6VLsEGlINlRs9lQXhNeriTqgU2IrCnbqQyZc/ssLlI6vkMhpeQkDEK4z" +
       "UvxmuUPonX\nUzsldd6NoGmaXaBO/tGBfaylJqj0DyQFH5LmuKg02zPsw6qK" +
       "CVzsGtS+jkqMGEYow9jahAVUjQAl\n9JlbWOTCagMLSNnvU9dTQGFc0fVWuX" +
       "gwrDiJ2GqLOVZ1ltXozr4zZCPwsuzIpLgKO5eLsoPaMjt6\ndJWOxXF7DoXr" +
       "IQwzBR55wUnQBjgfViEjtP4W5vmwHsmFJmmbQ73ElHMk8Xpcdhp02nuC2c8p" +
       "a0eJ\ncFceqWtlMat41QWX/RxRLl6ljN2E5EB2BYIKoiGvGGWjW3cLuq4Fkt" +
       "21sJz7uyVeuVuKMUBnE0pz\ncajjYLE5uYVWM5Ba4chej53g7E8rQdkzmT8q" +
       "OIzzy43fH+0lxvgLkJJHSJsd5Kz5yJpz1lv31Bty\nckjNse/oC0eeJZ5f52" +
       "baD8Oo60gcnkuyIQ8bm1mTOoBciJiT0SVtE8piuR6MyfCO6n4pVO01GPn9\n" +
       "dITPCbbvBAMdpAN3zeqy1mHoypPLtJ+wYFSswdHWk+UG+LGbr54Tsx7DuQxc" +
       "HMeeLMmhaMy229JH\nt8l0uQZbPkQ4E65lA6uRU674pwq9lHxobK/zZbh13b" +
       "l03q9Wuk8DeV+sBrFW4n25qETJxllpBC+a\nV1+VyTNMREX6ZXWW9Us5oMy0" +
       "DUss0EdwrUMqeGpiDFlmHJkarr2SRHZQzHO92q6XfLtZBGMnodlS\nCaBVLy" +
       "1Zj9jsKwe1cC4mj+Xk7cao9fvMtfiEIuiNE3QunPshcsARdMVSVG06VlWLoW" +
       "A0bLToTxYJ\njfis3GOxZ2YcDZlZattlQLdRH6nDqKktgub8yTK5hLhcDI8t" +
       "oPmSyK7AtQVtzJpe9Uu5FGR4uVwE\n850LJKQNCilmBpa4p0MrLJL2CklHez" +
       "qMwHiDgvbY9bKPTpBh7dcnS1LWHjZ00rDdOOYpo2vUy7ZR\nhC6ofANvELsc" +
       "ClevkM4fuWUCo91BFY/IcgT1M3VEXRTHtVaUIECVHOuim05hOY6WMdmRPvVn" +
       "fudH\nDa9C2cIACOYam9v8GEOjrPY8rEZ4NMN+dWhB0qFOmpEUpWsrIrUpEt" +
       "mop3IXcpWe8T5yOBYuub6W\nskEzmg1nC9DkheYITYd0rowzsa8PelKsvYTA" +
       "xxI6G/umQ+vLEUJWhKgQYLllLGsujRC1kYM5xemD\nTVm70MDX2jWgF8UYJy" +
       "5YVnFPq8lpP7l1UNBJNPhjlSaiKIQYQq5FNY5aPN0zWDnQh1xpj2dx7UJF\n" +
       "cnQjGrTRYYUbZ5BcEDyInUPDPSwnfUaA7nX6KhDpUkwK0rTMnORdAykrdgVB" +
       "0YrhWGTDl5dTR/Fs\ntFqPWXsiRoyRR8103d0CK4KQ54e5hD4YiBocVNeoZs" +
       "BrBzzEoQuDrebKn79wF+d62RKw1q8wjIZq\nlS0YBSZNLXQHgzQPLB+fyWbh" +
       "b1Y22ffMMQKSAVAE9KpysdUImohO6HisrBCgFPjiG1siU85Iv4GX\nqVoElj" +
       "pcGBE9bC2Bc1NkQ0u0Di54zjGvbQHgA1Kp9RYkzvbENfboUtFGzkKOhXvn7F" +
       "LYNTZyfN/b\nhtHoSVPhA+8fQRuHthelqnfEhimdacELvU7LYCaqEaysNNjX" +
       "02t5MqU5m69bUporPpbZIsuaux6y\ndUCvLzaKqmuL0wRlC9TMFq7JTKvw0g" +
       "p3+0WJuT0Ky4ZIhGODZWGUCgHnns++BCC4BQMHojAqMKbb\nC7dunSVrL09k" +
       "AjGiQEvbNF4yUJRcIMaiNpYML1R4MrZVqkAqOopBlylF/fCyTdrmVEhoiyhj" +
       "nsGo\nb/Y4jxExP0nbaVtsN2ES4M0xbCNuO44uUTr6Yt3wx4IecqeVVaYDN7" +
       "rejUkmuVmGY8v9NpMNzrbx\n8kqD7gEG9/ulbasZD9GB01EMlQPDmab9+oyt" +
       "dlm7kMpeLF3oou1Ax9y7IJVVN0N0aIQD8sbuSne/\nNvGt0dbqJqR0xpHCGE" +
       "HYFZcPOAedSblvOl6wo3qYyoVIi0AylqhsXLmNjmdcIxZO3FM5Tp/ayDkA\n" +
       "bO1KMKSDbcMhcHfRODtUZrdbG5KwF725jlzvmQlYAmsgWMzHEZrNRIXxXJda" +
       "Oacr0TLCIQPmfDrK\nLsl5NdiMS6JVSrrSOvP3V3YM2otjj/Ax6S8pSh6rvV" +
       "cc6pL0FququfgMBAg9Qo5BzlY152+C5Z4t\nBpd1nAjeBSEu9FtqiHtu8A6U" +
       "eNyQ8Vq1fOTiUsedoYZOxBe1U16CRQW51TU/NNV1RED6WsxJsmEU\nq2o0e8" +
       "4Z7TUUaKUq+EKvnfrMXHtK7VV/jR9xN2Y6vMb59U6i8XxwPSBbqN6BgTuuOY" +
       "FBEOwYmcXI\nHUInflBbHcdx49UtRLXjmPPRbuzNcTjtmdza4oqjHrjNeV2z" +
       "kE2TTSMnO65ZyNezEZyaCrXHAzQW\nSZ9Le88KSahbs32wOmxKh2iI2pn25a" +
       "lJdR5300gbtICZ+rNu6blqHfSAbxBQg/JFTwhYM6bbBlUi\nwRQBl+uWGNJ6" +
       "V3sWL+JDy+8kjdwJ2aHfAMs1vb6yKMrK+AbXrU7dOk2hn3jwWHCKYC80Wye5" +
       "LYAg\nvKuA0AbB4+h8JC4DXCOhqqW2J2zlpvQbyzLPJsSgFxtoe1JJa1oiAM" +
       "BztgC2YqKldkHiZBHNrjm4\n+LVH64QeS5PAEmyzLIhqcreoHK3dYnNo8SyZ" +
       "9R1VYXjtd/ZqUB2KaAJDUYWiF6WcyXfDIF5Wi7Gu\nQUbd5WXgL/PtCfOVzd" +
       "afAHC9PNv90DN5aCPqlaFwqgc2VUYMjb1Su/nCb0L7g4BzHCj6K3f0fEPx\n" +
       "FgcXjQZlW5c9lB1iAaDi1ql4bL7dk/szf8yLC772Uq0EurXh4/kmb892p4vt" +
       "EPtopE66N5GovvRY\ntMGZBRSFyAmHwU6YCtse6PNFqlrdrMbjkihKw9H3kQ" +
       "uoO/m82WcMOvjzdRC4YLNTLR2HWksxSHTB\n7rputzrBL8Jmhdg2J2/BZNSM" +
       "YxOrF9M/MezSJ3Knm/qK3Z1hXE1invCvEgLWfJFmUI3ZsCcdYS+5\nkFFVIV" +
       "WKLjtssVTQK8TbngiFS8A4jEsLlEy60dfpoHX5JGBHgUR03+uzszITEoo6Gv" +
       "O0cip3rhcp\nWYVLJkbh/uoIu4tjD5WYziOHlRWRChekNNCuzgLkD6IjMxWu" +
       "g/FwrnoQMyEjXW7TI3M5zvUTyu+i\naPSytZB2W0QJtKA7AIsdjUdc6lN8Xq" +
       "ZIkgZKs95sYJ3it+VZkPwz6DnkXIxNmFM4KbzsLlQILrmu\no9ooi3WmErli" +
       "xDEil2U1XsToFPrD4Ww3512vD9usXx6OyLi1RYuuIn4njJRKmBdoFRYm5uHG" +
       "uEoG\nJ1ml2xOLo5ktFTBG8qAOeIdws0Ax5uK7vFvIpIsgvqeB4qkP5WgH7L" +
       "ViWe2Sfa8DDEBqhI3DLrGm\nV9J5GQDwUEypANsnjSOWJpqdIFqlFo5ue2hP" +
       "dz1mWmoMcIxjncbhUpdtVxhKoRxVQEN2e7XST3Og\nttcX2ASxEGK3F8k9M5" +
       "kRFUvXJoJLxhjEYrymk9K5du9CNHwYnMxBEKbmS3xJHUUfyYSNDkcWvoTH\n" +
       "i1zVRLwu/Z4SwMGlR3y62mdq51FRedkWAYQtEtAcSseXDWgCETDpJL9Ws7Gx" +
       "WsNZrg69B2hSAOEt\n7h1XyyMWoonIM8NFTAeeSTvNy7fOuYFkNQNJ97RIVb" +
       "Ab+ooaMCc45a6fglRCJDk17DcDT66EPHKr\n/Oz2/Bx/RKQTtni332fL01x1" +
       "plHKy7UHFhNsipLkHmeddem1zbt+Ux+8JJ4IFZHSnhGr3RHOPOFk\neLLT1H" +
       "Tt91pW161xInQ2m0y4MHIlu8zFy46cvT1bypYDzxf+IyRgh5xcFwgsBI5jy+" +
       "2uqmvX2u3J\nudLawxfjEDawEPOJMR2GAuPy1KVpyhClOT27anwBs13S8ARj" +
       "zHmTr2xfPdjrJCm1NZ1kQgnGZYOX\n+BjvreKwX9OdOOIjLRuElxnuRogVrM" +
       "sNJyvYNGBmo5xX4TXy+Qlf8LJhrKitwF0h1Ss4aqhO2kpz\naJV2pJI7x0Fi" +
       "ycvEDDVmAq/0KmIKYFid9ejYNqCEVFbe2mJxBFQs1uVFbgedWiybo4wqiXbR" +
       "jkzJ\nhOtDut5Ojm6pK55uZuQwLH41upjs0blm1BlgazK0i2yMfTexDDYF8v" +
       "rkOOxC1UC19bXx7Dqo5Oer\noj6II0gVsr0erzAtWvYmc4iNfPJyFb8QMk/z" +
       "eZ62FMxBbnOlmiOOzMY25NNq8hYkT69XeluJjLbO\n16IcoTFTLiE7Z/vthV" +
       "geDwF93jYugRFIDY5Nt5c2TXXYLglvTawlAGIcAxP6Vhf91F3YlpRzloFD\n" +
       "rBbPmSQBpe2K4ATaSqJuY63Rhl4nPgu7CaR2MFJKO6XtR4DF8Dnk3uPMgUTC" +
       "cyRx65YLk75Exbrt\nfRQ8xLxHNtK41IYjJF4buARpBHB0HrUCY8odXbfaFS" +
       "PjtsnkES/sRxrDJ1xaE76kd1mO+YsMzVHB\nVFBzyFoe9NCExjLK6AlizYgI" +
       "etE6C7H2EmSQQuWwx8OMtLRIJELa87RHGjzM2roS7JlVWSXgwoYZ\nbOcTaJ" +
       "1l8aFBgfZip6cq2ZLGWQFGrFhvY2xFHI68wxxsYk7JUAZNq4ws9y1SMhvgsA" +
       "1YbaOVlkOH\ni/qkroqEVI+GlK6GcomszIHh9Wt1wsMyU9R60ie2WBqyElPj" +
       "wMQBdl05aXWOk8hbtlq+itlmnZlV\nmHfNYh/sQYmKx50n7yGT32lMmuQIpx" +
       "oxLHa82uS8GEraOK21IKE26g7ZXY7hgbx4SHZgMkrawEcO\nTmNU7/vNoopi" +
       "MPegQE97dA8kqK/Isuad5ssabufcJj9IShKcnSyITMsmuHXFx0oan3sNbg29" +
       "SNQ0\nI+m6ULj1wYMWKD7IRGGueRLG4yoI3Q1twLGJSGd0Bwe7lFpeXBMJLI" +
       "CSq2YfUacunqNHD+0CN4BU\nLYYvnigVY08DA7eQOUcea3NXJ16rbRrqyuwL" +
       "K7dNv3L5xgMrupomiN5RoSt2YaB2dVGfmmQCG36+\nJGg6v9tsyKYwCkWHrg" +
       "sax7sZLEfcjh34SHUEdJXq0AjwhLxmfUvQNBmPk0MuWyASj7koHsVg9EeQ\n" +
       "IJQ5rI++OlET40tiNZeYiwEsclCkJW9tMKzqTQFic0yCCPH1hmUyTHlzrrnG" +
       "DalPFrebveJYdX2E\nhQ2giHVMbINCHC8rrMdboFlwS8FWsDELPDZsthLo22" +
       "lxCbOjd2qAIFM2851ObbeQEc1ct3QHr1EK\nokd0vmNkc1YQDmPB4uGFwHB/" +
       "t1t003Ai12Q2SBra6yhnNf2UCeCmLzBpdQgy1NIcyDiNHSIlThoR\nE7nhC2" +
       "clilM3R8bhJKoH+JwYIUqT4yKCQgcnAMneOZMvgJ2kSLV7ZhHHY9ZX3q53Wz" +
       "M5X4PoktHL\nbRYcAJhNAYcEmvqazEms2BPeEIfaVUaR04I8J/x8iXTTVSPt" +
       "MTxi9+iFO+Zba1CwDWE0RIrDAXs9\n4NWpyg1KK68A24OgbjnrU7ldy6m6bG" +
       "joHLbn+R4QA20JTtN5bZ62QomcIp0AL1sD4PKtQkJmch1t\nW0Bl63rVBgrH" +
       "lBKgwzVbSpedgWzzVieCaCkHEXTUh+tiFFHT2ap0BNH45aDkvS22cJ5C3hYj" +
       "phTA\n6R024qqOMEmEOCcMKY5lkxjYEChLfB1hO8ditVzdBjiOf+etp+T3v9" +
       "lN89J9X8/jzuJ3dPSM724Q\nera/+6D7ZgvofY/Qo564tzrmHnrd7lvo2Fu/" +
       "zKfeqxX4vlfmh46/8eIPur/wxVuvzG3Jd/d3L/RV\n/fk8PN/CyKN+uyc3Ee" +
       "97pR41of3l518OnhOwTzzZcPehmf03fcWVb/j9z73x339p829fe/bJ7rVF\n" +
       "G/ZDW+rv6GH71DtasqAbjxu9rSXrcXtkeXvsntpQ+MxbKvqur9xy2N9942yS" +
       "V2/9Ua++q/X21bf6\nhIrHct3k+eRMH77R0+Qabo9v+Ypcv4pIj7X0XU/h/f" +
       "mZPnqjp/H+vvfm/cw7YPOVBfhQEOZh7PZh\np1f3w1b9sMTp7z7gVVUeuuVT" +
       "RPv0TB+/0dNE+8HfHdG+1g0C4r2le+5cpcETot1oMxN4o6eJ9mO/\nIyR9Vd" +
       "FeetzBuH/oK72f84eeoihmJvxGT5PmT723ot730ET4lM7Mh5bStwYetSvu86" +
       "q7/dfFmwNf\n+3hAcL0w/2onejHt8GF25zadwuC9DvPtM7E3etphfuq9D/Ps" +
       "Q8C7V+3t8ee+mjQfjuZ4prRVFRHV\npeyrR4f62FvN87MKqKq9n/MUSbGZ5B" +
       "s9TdK/8bso6dc8ltSo++o2/tNPEef3zJTf6Gni/N3fkbt8\nVUmeD5vBzd8T" +
       "iDcR+hs9TYS/97vjsV9BhFt/8ku3jR76gb90n7qI0M/1ipuhTY79G/7rN5C/" +
       "8pr/\nqFM+ftQp/7lvB2H421+ZN+/SZqj68LU3G5hfucWAV25hPS3T/rXPvf" +
       "KlV747PLv5a4/980tu4X3/\nK9/5Sjnk+ee+8EXtle//3Nv67v/xU5qVb+/f" +
       "8ZVP+lXU8MFHAt2GfvQWLt6Vb2499Z941z9jPfzL\nkP/ZL3/vaz9fv/TPHv" +
       "qeH/1bz/PC3Qej+RRv7wp/2/vzdRtG6f3Rnn/oEX845796kOfea249sfOv\n" +
       "e5F/8WH4X/d373uzUvly/YCz/w+bru+GLDYAAA==");
}
